Skip to main content

Update Lease Custom Data: Rentvine

PUThttps://api.propexo.com/v1/leases/rentvine/:lease_id/custom-data

The custom data fields must first be provisioned by the customer on the property object before they can be set by this API route. At this time, Propexo does not support a way to provision new custom fields or modify the schema for existing custom fields via an API. Please contact Propexo support if this is required for your business case.

MethodInterface
POST /api/manager/custom-fields/values/{customObjectTypeId}/{modelId}Custom Fields

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lease_id stringrequired

The Propexo unique identifier for the lease

Request​

This endpoint expects an object.

    custom_data objectrequired

    A mapping of the fields you want to update and the associated values. The key for each field is the key from the normalized custom data object, not the label of the custom field. Each entry will look something like: ``` "eyJjYXRlZ29yeUlkIjoiMSIsImZpZWxkSWQiOiIxIiwidmVyc2lvbiI6MX0=": { "value": "Yes" }

    property name* object
    anyOf

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    lease_idstringrequired

    The Propexo unique identifier for the lease

    custom_data objectrequired

    A mapping of the fields you want to update and the associated values. The key for each field is the key from the normalized custom data object, not the label of the custom field. Each entry will look something like: ``` "eyJjYXRlZ29yeUlkIjoiMSIsImZpZWxkSWQiOiIxIiwidmVyc2lvbiI6MX0=": { "value": "Yes" }

    property name* object
    anyOf

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leases/rentvine/:lease_id/custom-data
curl -X PUT https://api.propexo.com/v1/leases/rentvine/:lease_id/custom-data \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"custom_data": {}
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lease_id": "string",
"custom_data": {}
}
}